---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsetsysprop002.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x2750, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50700, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52640, symBinAddr: 0x9110, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52A30, symBinAddr: 0x9500, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x539D0, symBinAddr: 0xA4A0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x539E0, symBinAddr: 0xA4B0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50380, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50384, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50388, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x504E0, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50598, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5059C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x505A0, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x505A4, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x505A8, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x505B0, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x505C0, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x505C8, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x505D0, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x505D8, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x505E0, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x505E8, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x50630, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL12propDescList, symObjAddr: 0xE220, symBinAddr: 0x6020, symSize: 0x0 }
  - { offsetInCU: 0x9582, offset: 0x9582, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x13F0, symSize: 0x80 }
  - { offsetInCU: 0x9617, offset: 0x9617, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x1340, symSize: 0xB0 }
  - { offsetInCU: 0x9672, offset: 0x9672, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x1240, symSize: 0x100 }
  - { offsetInCU: 0x9905, offset: 0x9905, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1470, symSize: 0xC0 }
  - { offsetInCU: 0x9957, offset: 0x9957, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1530, symSize: 0x220 }
  - { offsetInCU: 0x9B3C, offset: 0x9B3C, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1750, symSize: 0xA0 }
  - { offsetInCU: 0x9BEF, offset: 0x9BEF, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x17F0, symSize: 0x110 }
  - { offsetInCU: 0x9CE5, offset: 0x9CE5, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1900, symSize: 0x150 }
  - { offsetInCU: 0x9E42, offset: 0x9E42, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1A50, symSize: 0x30 }
  - { offsetInCU: 0x9EEB, offset: 0x9EEB, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1A80, symSize: 0x150 }
  - { offsetInCU: 0xA0E3, offset: 0xA0E3, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1BD0, symSize: 0x160 }
  - { offsetInCU: 0xA3A3, offset: 0xA3A3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1D30, symSize: 0x4A0 }
  - { offsetInCU: 0xA616, offset: 0xA616, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x21D0, symSize: 0x1B0 }
  - { offsetInCU: 0xA831, offset: 0xA831, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2380, symSize: 0xA0 }
  - { offsetInCU: 0xA900, offset: 0xA900, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2420, symSize: 0x20 }
  - { offsetInCU: 0xA937, offset: 0xA937, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2440, symSize: 0x20 }
  - { offsetInCU: 0xA96E, offset: 0xA96E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2460, symSize: 0x20 }
  - { offsetInCU: 0xAADD, offset: 0xAADD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2480, symSize: 0x1A0 }
  - { offsetInCU: 0xADF9, offset: 0xADF9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x2620, symSize: 0x130 }
  - { offsetInCU: 0xAFA9, offset: 0xAFA9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x29C0, symSize: 0x1B0 }
  - { offsetInCU: 0xB298, offset: 0xB298, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2B70, symSize: 0x80 }
  - { offsetInCU: 0xB361, offset: 0xB361, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2BF0, symSize: 0x6A0 }
  - { offsetInCU: 0xBEF6, offset: 0xBEF6, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA130, symBinAddr: 0x3EB0, symSize: 0xB0 }
  - { offsetInCU: 0xBF6D, offset: 0xBF6D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3290, symSize: 0x70 }
  - { offsetInCU: 0xC009, offset: 0xC009, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3300, symSize: 0xA0 }
  - { offsetInCU: 0xC0E8, offset: 0xC0E8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x33A0, symSize: 0x40 }
  - { offsetInCU: 0xC1DE, offset: 0xC1DE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x33E0, symSize: 0x2B0 }
  - { offsetInCU: 0xC584, offset: 0xC584, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3690, symSize: 0xC0 }
  - { offsetInCU: 0xC6CA, offset: 0xC6CA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3750, symSize: 0x10 }
  - { offsetInCU: 0xC78C, offset: 0xC78C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3760, symSize: 0x220 }
  - { offsetInCU: 0xCA89, offset: 0xCA89, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3980, symSize: 0x10 }
  - { offsetInCU: 0xCAE6, offset: 0xCAE6, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3990, symSize: 0x1A0 }
  - { offsetInCU: 0xCCE7, offset: 0xCCE7, size: 0x8, addend: 0x0, symName: __ZL15checkPropertiesP9_jvmtiEnvPKci, symObjAddr: 0x9DC0, symBinAddr: 0x3B40, symSize: 0x2D0 }
  - { offsetInCU: 0xCF68, offset: 0xCF68, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DB0, symBinAddr: 0x3B30, symSize: 0x10 }
  - { offsetInCU: 0xCFF1, offset: 0xCFF1, size: 0x8, addend: 0x0, symName: __ZL18checkPropertyValueP9_jvmtiEnvPKcS2_S2_, symObjAddr: 0xA550, symBinAddr: 0x42D0, symSize: 0x1A2 }
  - { offsetInCU: 0xD20B, offset: 0xD20B, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA090, symBinAddr: 0x3E10, symSize: 0xA0 }
  - { offsetInCU: 0xD2D0, offset: 0xD2D0, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA1E0, symBinAddr: 0x3F60, symSize: 0x370 }
...
